Support Matrix

The tables below display platform and software configurations that are eligible for support under our subscription offerings. Learn more about our Support Policy and product End of Life policy.

Don't see your favorite platform, JVM, or browser? Contact us.

Downloading our software requires TLSv1.2 or higher. Some older operating systems (or their libcurl, curl, and nss libraries used by apt-get or yum) may need to be upgraded to a version that enables TLSv1.2 support in order to download files using package installations. Please refer to your operating system documentation for more details.

Elasticsearch

Last updated: 2024-03-26

As of 7.12+ releases, we support aarch64 with the same set of distributions as x86_64.

Encryption at rest for Elasticsearch via dm-crypt is supported on all Linux OSs.

Support for the listed Linux distributions requires a native Linux install, e.g. Windows Subsystem for Linux (WSL) is unsupported.

*Supported with the RHEL kernel for all listed versions and Oracle UEK from Elasticsearch 6.8.x forward.

**Zip/tar.gz archives only. RPM installation is not supported on SLES 11.

***We might ask you to move to newer versions of Amazon Linux as part of our support process.

‡ CentOS 6, RHEL 6, and Oracle Enterprise Linux 6 do not support the bundled JDK 15+ since 7.9.2 due to glibc incompatibilities.

FIPS 140-2 mode requires Oracle JDK 11 (Elasticsearch 7.x) or Oracle JDK 17 (Elasticsearch 8.13+), and the Bouncy Castle BCJSSE FIPS security provider

1 not supported on 7.17.x versions before 7.17.5

Kibana

Last updated: 2024-03-26

As of 7.10+ releases, we support aarch64 with the same set of distributions as x86_64

Support for the listed Linux distributions requires a native Linux install, e.g. Windows Subsystem for Linux (WSL) is unsupported.

Logstash

Last updated: 2024-03-26

As of 7.14+ releases, we support aarch64 on Linux with the same set of distributions as x86_64

*We might ask you to move to newer versions of Amazon Linux as part of our support process

**Zip/tar.gz archives only. RPM installation is not supported on SLES 11.

***CentOS 6, RHEL 6, and Oracle Enterprise Linux 6 do not support JDK 15+.

Auditbeat

Last updated: 2024-03-26

Filebeat

Last updated: 2024-03-26

Functionbeat

Last updated: 2024-01-17

Heartbeat

Last updated: 2023-11-07

Metricbeat

Last updated: 2024-03-26

Packetbeat

Last updated: 2024-03-26

Winlogbeat

Last updated: 2024-03-26

* We might ask you to move to newer versions of Amazon Linux as part of our support process.

** Compatibility applies to the bundled CLI for deploying Functionbeat onto serverless frameworks. Users should note that Functionbeat will reach end of support 12 months after 8.5 is released. Elastic Serverless Forwarder (which is GA) is a replacement product for users who wish to ingest data in a serverless environment.

You may also self compile without support on Linux PPC/PPC64LE, Solaris/SmartOS, and FreeBSD.

Please note that no homebrew packages will be available for Beats >= 8.0.

As of 8.0+ Beats do not support 32-bit operating systems.

Windows MSI installers for Beats are available on our downloads page but are currently in Beta.

**** From 7.17.19 onwards, 7.17.x releases do not support MacOS 10.14, 10.15, CentOS 8, Debian 9, Windows 7, Windows 8 and Windows Server 2012 which have reached end of life.

Elastic Agent

Last updated: 2024-03-26

Some inputs and integrations are not supported on all operating systems. See the documentation to learn more.

As of 7.16+ releases, we support aarch64 on Linux with the same set of distributions as x86_64

As of 8.2+ releases, MacOS binaries support x86_64 and aarch64 and accomodate Apple's M1 and M2 chipsets

Google Container Optimized OS version: cos97-lts

Elastic Agent is also supported on Windows Server Datacenter Core equivalent of Windows Server mentioned in the matrix

Elastic Agent is not supported on 32-bit operating systems.

Elastic Agent is not supported on Windows Powershell ISE

* From 7.17.19 onwards, 7.17.x releases do not support MacOS 10.14, 10.15, CentOS 8, Debian 9, Windows 8 and Windows Server 2012 which have reached end of life.

Elastic Defend

Last updated: 2024-03-26

* Intel/AMD x64 only

Linux ARM support is 7.16+ only and requires a 5.4+ kernel

** Includes AWS Graviton Support

Endgame Sensor

Last updated: 2023-07-25

*For Endgame Sensor 3.51-3.54, 32-bit and 64-bit archtectures are supported; for versions following 3.54, only 64-bit architectures are supported (with the exception of Windows 7 SP1 as noted below.)

**For 3.60 and earlier, Windows 7 SP1, 64-bit and 32-bit systems are supported. For sensors 3.61 and greater, Windows 7 SP1 is not supported

***macOS 12 Support requires sensor version 3.60.2 or greater

‡ RHEL9, Ubuntu 22.04, and macOS 13 Support requires sensor version 3.62.5 or greater

≠ MacOS 14 Support requires sensor version 3.64.4 or greater

The default support for all versions is 64-bit unless specified. Additionally, ARM processors are not supported for Windows and Linux OS. The Apple M1 chipset is supported.

Elastic Cloud Enterprise

Last updated: 2024-03-26

ECE 2.13 and up to ECE 3.3 are also supported on RHEL/CentOS 7.x with RH Docker 1.13 and Docker 18.09 respectively

* ECE 2.13 and above are not actively certified on these platforms and are supported on a discretionary basis only

** ECE 3.5.1 and newer versions are also supported on the marked OS combination for ARM based hardware

Operating systems not specified above are not supported

Supported Docker and Linux Kernel versions:
- ECE requires kernel memory accounting to be disabled for all memory cgroups. Disable it by passing `cgroup.memory=nokmem` to the kernel at boot time.

APM Server

Last updated: 2024-03-26

As of 8.0+ releases, we support aarch64 on Linux with the same set of distributions as x86_64

* We might ask you to move to newer versions of Amazon Linux as part of our support process

** No homebrew packages available for APM Server >= 8.0

*** Support for 32-bit systems has been deprecated and will be removed in a future release.

Last updated: 2020-02-11

Starting with version 7.7.0, App Search is provided with the Enterprise Search package.

Last updated: 2024-03-26

Connector Clients

Last updated: 2024-03-26